# Quick CSV convert for rx_power (one pass)
#
# Usage : signal.sh Fstart(MHz) Fend(MHz) Step(Hz) [gain]
# signal.sh 1400 2600 25 70 <---   1400MHz to 2600MHz, 25 kHz step, gain 70 [0:73]
#
#       use rx_power with -1 option only (one pass)
#       adapt path!

iio_attr -q -c ad9361-phy voltage0 gain_control_mode manual
cd /root

#mv /root/.gnuplot /root/gnuplot.conf
rm fm.* 2>/dev/null
fstart=$1
fstop=$2
fstep=$3

rxgainn=$(/usr/bin/iio_attr  -q -c -i ad9361-phy voltage0 hardwaregain) 1>/dev/null
iio_attr -q -c -i ad9361-phy voltage0 rf_bandwidth 4000000 1>/dev/null
rxgain="${rxgainn%????????}"
#fi
echo "rxgain:" $rxgain

rx_power -d driver=plutosdr -f ${fstart}M:${fstop}M:${fstep}k -c 0.3 -1 -g $4 -F CF32 -o g fm.csv
/usr/bin/gnuplot -e "fstart=$fstart;fstop=$fstop;fstep=$fstep"  /root/plot.gnu





